## kdesdk-strigi-analyzers 4.11.3

=== diff/CMakeLists.txt ===
include_directories(${STRIGI_INCLUDE_DIR})

# build the analyzer as a module
kde4_add_library(diff MODULE difflineanalyzer.cpp)

# link with the required libraries
target_link_libraries(diff ${STRIGI_STREAMANALYZER_LIBRARY} ${KDE4_KIO_LIBS})

# install the module in the right directory so it is picked up
set_target_properties(diff PROPERTIES PREFIX ${STRIGI_LINE_ANALYZER_PREFIX})
install(TARGETS diff LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)

=== strigi_po/CMakeLists.txt ===
include_directories(${STRIGI_INCLUDE_DIR})

macro_bool_to_01(STRIGI_NEEDS_SIGNED_CHAR STRIGI_NEEDS_SIGNED_CHAR_01)

configure_file(config-strigi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-strigi.h )



# build the analyzer as a module
kde4_add_library(po MODULE polineanalyzer.cpp)

# link with the required libraries
target_link_libraries(po ${STRIGI_STREAMS_LIBRARY} ${STRIGI_STREAMANALYZER_LIBRARY})

# install the module in the right directory so it is picked up
set_target_properties(po PROPERTIES PREFIX ${STRIGI_LINE_ANALYZER_PREFIX})
install(TARGETS po LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)


install(FILES strigi_translation.fieldproperties
	DESTINATION share/strigi/fieldproperties
)

## kdesdk-strigi-analyzers 4.11.2

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:22:00 +0100

kdesdk-strigi-analyzers (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:20:54 +0100

kdesdk-strigi-analyzers (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:12:52 +0100

kdesdk-strigi-analyzers (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:31:08 +0100

kdesdk-strigi-analyzers (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:19 +0000

kdesdk-strigi-analyzers (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:11:39 +0100

kdesdk-strigi-analyzers (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream release
  * Initial package, split from kdesdk-strigi-analyzers

  [ Michał Zając ]
  * Add pkg-confg to Build-Depends
  * Add libstreamanalyzer-dev to Build-Depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Jun 2013 16:33:25 +0100

=== debian/control ===
Source: kdesdk-strigi-analyzers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), pkg-config, libstreamanalyzer-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
  * XML localisation files (xliff)
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-strigi-analyzers-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: kdesdk-strigi-plugins (= ${source:Version})
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## kdesdk-strigi-analyzers 4.11.3

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.11.3-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Apr 2014 11:21:00 +0200

kdesdk-strigi-analyzers (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 14:25:42 +0100

kdesdk-strigi-analyzers (4:4.11.2-1) experimental; urgency=low

  * First release of kdesdk after being split by upstream.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 10:58:30 +0200

=== debian/control ===
Source: kdesdk-strigi-analyzers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev (>= 4:4.11),
               libstreamanalyzer-dev (>= 0.6.3),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-strigi-analyzers.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-strigi-analyzers.git

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
  * XML localisation files (xliff)
 .
 This package is part of the KDE Software Development Kit module.

## kdesdk-strigi-analyzers 4.12.3

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:33:57 +0100

kdesdk-strigi-analyzers (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:41:55 +0100

kdesdk-strigi-analyzers (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:54:19 +0000

kdesdk-strigi-analyzers (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:12:29 +0000

kdesdk-strigi-analyzers (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 16:53:28 +0000

kdesdk-strigi-analyzers (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:04:04 +0000

kdesdk-strigi-analyzers (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 17:59:44 +0100

kdesdk-strigi-analyzers (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:38:16 +0100

=== debian/control ===
Source: kdesdk-strigi-analyzers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.12.3), pkg-config, libstreamanalyzer-dev
Standards-Version: 3.9.4
Homepage: http://www.kde.org
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
  * XML localisation files (xliff)
 .
 This package is part of the KDE Software Development Kit module.

Package: kdesdk-strigi-analyzers-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg
Replaces: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Breaks: kdeutils-dbg (<< 4:4.6), kdesdk-dbg
Suggests: kdesdk-strigi-plugins (= ${source:Version})
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.

## kdesdk-strigi-analyzers 4.13.0

=== CMakeLists.txt ===
project(strigi-analyzer)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

find_package(Strigi REQUIRED)

add_subdirectory( diff )
add_subdirectory( ts )
add_subdirectory( strigi_po )
add_subdirectory( xlf )

=== ts/CMakeLists.txt ===
include_directories(${STRIGI_INCLUDE_DIR})

# build the analyzer as a module
kde4_add_library(ts MODULE tsthroughanalyzer.cpp)

# link with the required libraries
target_link_libraries(ts ${STRIGI_STREAMANALYZER_LIBRARY} ${KDE4_KIO_LIBS})

# install the module in the right directory so it is picked up
set_target_properties(ts PROPERTIES PREFIX ${STRIGI_THROUGH_ANALYZER_PREFIX})
install(TARGETS ts LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:57:59 +0100

kdesdk-strigi-analyzers (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:22:31 +0200

kdesdk-strigi-analyzers (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:24:00 +0100

kdesdk-strigi-analyzers (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:52:17 +0000

kdesdk-strigi-analyzers (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:44:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), pkg-config, libstreamanalyzer-dev
+ kdelibs5-dev (>= 4:4.13.0), pkg-config, libstreamanalyzer-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-strigi-analyzers-dbg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-strigi-analyzers-([\d\.]*).tar.xz

## kdesdk-strigi-analyzers 4.14.1

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:07:29 +0200

kdesdk-strigi-analyzers (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:49:50 +0200

kdesdk-strigi-analyzers (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:37:22 +0200

kdesdk-strigi-analyzers (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:07:51 +0200

kdesdk-strigi-analyzers (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:02:42 +0200

kdesdk-strigi-analyzers (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:54:26 +0100

kdesdk-strigi-analyzers (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - Keep debug package

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 11 Jun 2014 19:18:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,28 @@
 Section: kde
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), pkg-config, libstreamanalyzer-dev
-Standards-Version: 3.9.4
-Homepage: http://www.kde.org
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Modestas Vainius <modax@debian.org>,
+           George Kiagiadakis <kiagiadakis.george@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
+               libstreamanalyzer-dev (>= 0.6.3),
+               pkg-kde-tools (>= 0.12)
+Standards-Version: 3.9.5
+Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdesdk-strigi-analyzers
+X-Vcs-Debian-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdesdk-strigi-analyzers.git
+X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdesdk-strigi-analyzers.git
 
 Package: kdesdk-strigi-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: software development file format plugins for Strigi Desktop Search
  These plugins allow Strigi Desktop Search to extract additional information
  about some file formats often used in software development.

## kdesdk-strigi-analyzers 4.14.2

=== xlf/CMakeLists.txt ===
include_directories(${STRIGI_INCLUDE_DIR})

# build the analyzer as a module
kde4_add_library(xlf MODULE xlfstreamsaxanalyzer.cpp)

# link with the required libraries
target_link_libraries(xlf ${STRIGI_STREAMANALYZER_LIBRARY} ${QT_QTCORE_LIBRARY})

# install the module in the right directory so it is picked up
set_target_properties(xlf PROPERTIES PREFIX ${STRIGI_THROUGH_ANALYZER_PREFIX})
install(TARGETS xlf LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)

=== debian/changelog ===
kdesdk-strigi-analyzers (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:47:17 +0200

kdesdk-strigi-analyzers (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:46:57 -0700

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.11),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.14.2),
                libstreamanalyzer-dev (>= 0.6.3),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kdesdk-strigi-analyzers-([\d\.]*).tar.xz

## kdesdk-strigi-analyzers 14.12.2

=== debian/changelog ===
kdesdk-strigi-analyzers (4:14.12.2-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Migrate dbg package to automatic dbgsym

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 20:11:12 +0200

kdesdk-strigi-analyzers (4:14.12.2-1) experimental; urgency=medium

  * Prepare Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 Feb 2015 19:01:16 +0100

kdesdk-strigi-analyzers (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:15:23 -0800

kdesdk-strigi-analyzers (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:58:43 +0100

kdesdk-strigi-analyzers (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 10:42:32 -0800

kdesdk-strigi-analyzers (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations
   - Fix VCS for new kde-applications location
  * Debian merge, remaining changes:
   - Keep dbg package

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 02:06:08 +0000

kdesdk-strigi-analyzers (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:46:57 -0700

=== debian/control ===
Source: kdesdk-strigi-analyzers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev,
               libstreamanalyzer-dev (>= 0.6.3),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-strigi-analyzers.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-strigi-analyzers.git

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: software development file format plugins for Strigi Desktop Search
 These plugins allow Strigi Desktop Search to extract additional information
 about some file formats often used in software development.
 .
 Strigi plugins are included for:
  * Patch files (diff)
  * Qt Linguist files (ts)
  * Gettext translation files (po)
  * XML localisation files (xliff)
 .
 This package is part of the KDE Software Development Kit module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kdesdk-strigi-analyzers-dbg (<= 4:14.12.2-2~1.gbpf87e35~)'

## kdesdk-strigi-analyzers 14.12.3

=== debian/changelog ===
kdesdk-strigi-analyzers (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:20:55 -0700

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                kdelibs5-dev,
                libstreamanalyzer-dev (>= 0.6.3),
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-strigi-analyzers.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdesdk-strigi-analyzers.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git
 
 Package: kdesdk-strigi-plugins
 Architecture: any
@@ -32,3 +32,12 @@
   * XML localisation files (xliff)
  .
  This package is part of the KDE Software Development Kit module.
+ 
+Package: kdesdk-strigi-analyzers-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kde-runtime-dbg, kate-dbg, kdesdk-strigi-plugins (= ${binary:Version}) 
+Description: debugging symbols for the KDE Software Development Kit module
+ This package contains debugging files used to investigate problems with
+ binaries included in the KDE Software Development Kit module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-strigi-analyzers-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/kdesdk-strigi-analyzers-([\d.]+).tar.xz

## kdesdk-strigi-analyzers 15.08.2

=== debian/changelog ===
kdesdk-strigi-analyzers (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:22:15 +0100

kdesdk-strigi-analyzers (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:48:10 +0100

kdesdk-strigi-analyzers (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:23:38 +0100

kdesdk-strigi-analyzers (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:48:07 +0100

kdesdk-strigi-analyzers (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 
  * At some point we lost the main plugins package.
    Restoring that. 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:56:31 +0200

=== debian/control ===
Source: kdesdk-strigi-analyzers
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.11),
               kdelibs5-dev,
               libstreamanalyzer-dev (>= 0.6.3),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git

Package: kdesdk-strigi-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Strigi analyzer desktop search suite.
 This package contains the kdesdk strigi analyzers plugins.
 in the KDE Software Development Kit module.

Package: kdesdk-strigi-analyzers-dbg
Architecture: any
Depends: kate-dbg,
         kde-runtime-dbg,
         kdesdk-strigi-plugins (= ${binary:Version}),
         ${misc:Depends}
Description: debugging symbols for the KDE Software Development Kit module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE Software Development Kit module.
Section: debug
Priority: extra

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-strigi-analyzers-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kdesdk-strigi-analyzers-([\d.]+).tar.xz

## kdesdk-strigi-analyzers 15.12.3

=== debian/changelog ===
kdesdk-strigi-analyzers (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:17:50 -0700

kdesdk-strigi-analyzers (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Scarlett Clark ]
  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:40:55 +0100

=== debian/control ===
--- 
+++ 
@@ -15,18 +15,27 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kdesdk-strigi-analyzers.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kdesdk-strigi-analyzers.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kdesdk-strigi-analyzers.git
 
 Package: kdesdk-strigi-plugins
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Strigi analyzer desktop search suite.
- This package contains the kdesdk strigi analyzers plugins.
- in the KDE Software Development Kit module.
+Description: software development file format plugins for Strigi Desktop Search
+ These plugins allow Strigi Desktop Search to extract additional information
+ about some file formats often used in software development.
+ .
+ Strigi plugins are included for:
+  * Patch files (diff)
+  * Qt Linguist files (ts)
+  * Gettext translation files (po)
+  * XML localisation files (xliff)
+ .
+ This package is part of the KDE Software Development Kit module.
 
 Package: kdesdk-strigi-analyzers-dbg
 Architecture: any
+Priority: extra
 Depends: kate-dbg,
          kde-runtime-dbg,
          kdesdk-strigi-plugins (= ${binary:Version}),
@@ -35,4 +44,3 @@
  This package contains debugging files used to investigate problems with
  binaries included in the KDE Software Development Kit module.
 Section: debug
-Priority: extra

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbg-package=kdesdk-strigi-analyzers-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kdesdk-strigi-analyzers-([\d.]+).tar.xz
